Skip to content
Newer
Older
100644 30 lines (27 sloc) 1.07 KB
47dbe9e @brianmario ensure we use the right path for including the version
authored Feb 12, 2011
1 require File.expand_path('../lib/mysql2/version', __FILE__)
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
2
3 Gem::Specification.new do |s|
4 s.name = %q{mysql2}
81c0375 @mperham Big cleanup to gem development process.
mperham authored Jan 20, 2011
5 s.version = Mysql2::VERSION
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
6 s.authors = ["Brian Lopez"]
81c0375 @mperham Big cleanup to gem development process.
mperham authored Jan 21, 2011
7 s.date = Time.now.utc.strftime("%Y-%m-%d")
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
8 s.email = %q{seniorlopez@gmail.com}
062b830 @brianmario fix gemspec due to some file renaming
authored Jun 29, 2010
9 s.extensions = ["ext/mysql2/extconf.rb"]
81c0375 @mperham Big cleanup to gem development process.
mperham authored Jan 21, 2011
10 s.files = `git ls-files`.split("\n")
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
11 s.homepage = %q{http://github.com/brianmario/mysql2}
12 s.rdoc_options = ["--charset=UTF-8"]
2762fc6 @brianmario remove ext from load path
authored Oct 21, 2011
13 s.require_paths = ["lib"]
4361586 @brianmario some gemfile updates
authored Jan 30, 2011
14 s.rubygems_version = %q{1.4.2}
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
15 s.summary = %q{A simple, fast Mysql library for Ruby, binding to libmysql}
81c0375 @mperham Big cleanup to gem development process.
mperham authored Jan 21, 2011
16 s.test_files = `git ls-files spec examples`.split("\n")
c524d72 @mperham Cleaner gem deps
mperham authored Jan 22, 2011
17
18 # tests
19 s.add_development_dependency 'eventmachine'
dae888e @luislavena Upgrade rake-compiler dependency
luislavena authored Apr 4, 2011
20 s.add_development_dependency 'rake-compiler', "~> 0.7.7"
b2fafbe @brianmario need rake 0.8.7 for rake-compiler 0.7.9
authored Oct 21, 2011
21 s.add_development_dependency 'rake', '0.8.7' # NB: 0.8.7 required by rake-compiler 0.7.9
c524d72 @mperham Cleaner gem deps
mperham authored Jan 23, 2011
22 s.add_development_dependency 'rspec'
23 # benchmarks
24 s.add_development_dependency 'activerecord'
25 s.add_development_dependency 'mysql'
26 s.add_development_dependency 'do_mysql'
27 s.add_development_dependency 'sequel'
28 s.add_development_dependency 'faker'
11dbec7 @brianmario Version bump to 0.1.0
authored Apr 4, 2010
29 end
Something went wrong with that request. Please try again.